Bug 1109444 - Review Request: mmg3d - Anisotropic Tetrahedral Remesher / Moving Mesh Generator
Summary: Review Request: mmg3d - Anisotropic Tetrahedral Remesher / Moving Mesh Generator
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1065541 (view as bug list)
Depends On: 1098680
Blocks: 753577 1111388
TreeView+ depends on / blocked
 
Reported: 2014-06-14 01:21 UTC by Sandro Mani
Modified: 2015-01-24 18:50 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-07-10 15:25:24 UTC
nonamedotc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
mock build.log for mmg3d (492.79 KB, text/plain)
2014-06-14 21:06 UTC, Mukundan Ragavan
no flags Details

Description Sandro Mani 2014-06-14 01:21:06 UTC
Spec URL: http://smani.fedorapeople.org/review/mmg3d.spec
SRPM URL: http://smani.fedorapeople.org/review/mmg3d-4.0.1-1.fc21.src.rpm
Description: Anisotropic Tetrahedral Remesher / Moving Mesh Generator
Fedora Account System Username: smani

Comment 1 Sandro Mani 2014-06-14 01:21:28 UTC
*** Bug 1065541 has been marked as a duplicate of this bug. ***

Comment 2 Mukundan Ragavan 2014-06-14 21:05:55 UTC
Hi Sandro, Were you able to build the package? Build fails here. I have attached the build.log file.

Comment 3 Mukundan Ragavan 2014-06-14 21:06:36 UTC
Created attachment 908857 [details]
mock build.log for mmg3d

Comment 4 Sandro Mani 2014-06-14 21:08:47 UTC
Oh bummer, that is #1098680 (which I've posted over a month ago, no reply from the maintainer, requesting package takeover next week according to non-responsive maintainer policy).

Comment 5 Mukundan Ragavan 2014-06-14 21:12:28 UTC
OK. I have added myself to CC. I will review this once that is taken care of. Now, moving on to mathex ...

Comment 6 Mukundan Ragavan 2014-07-03 00:53:12 UTC
Any news here?

Comment 7 Sandro Mani 2014-07-07 20:42:58 UTC
The scotch bug is now fixed for rawhide. For F20, the changes some additional changes are needed, and I'll fix things there as soon as I can take over the package (see [1]). But with rawhide being fixed, we can proceed here finally :)

[1] https://fedorahosted.org/fesco/ticket/1315#comment:4

Comment 8 Mukundan Ragavan 2014-07-08 03:24:25 UTC
I just saw the email. I will try to review this tomorrow.

Comment 9 Mukundan Ragavan 2014-07-09 02:13:08 UTC

Only rpmlint issues - What's your view on these?

mmg3d-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmmg3d4.so.4.0.1 /lib64/libscotcherr.so.0
mmg3d-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmmg3d4.so.4.0.1 /lib64/libpthread.so.0
mmg3d-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libmmg3d4.so.4.0.1 exit@GLIBC_2.2.5




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck in
     /home/mukundan/personal/pkgs/reviews/1109444-mmg3d/licensecheck.txt

---> No problems here.

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in mmg3d-libs
     , mmg3d-devel

---> Spec file does have Requires: %{name}-libs%{?_isa} = %{version}-%{release} for mmg3d and mmg3d-devel.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7119258

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mmg3d-4.0.1-1.fc21.x86_64.rpm
          mmg3d-libs-4.0.1-1.fc21.x86_64.rpm
          mmg3d-devel-4.0.1-1.fc21.x86_64.rpm
          mmg3d-4.0.1-1.fc21.src.rpm
mmg3d.x86_64: W: spelling-error Summary(en_US) Anisotropic -> An isotropic, An-isotropic, Isotropic
mmg3d.x86_64: W: spelling-error %description -l en_US Anisotropic -> An isotropic, An-isotropic, Isotropic
mmg3d.x86_64: W: no-documentation
mmg3d.x86_64: W: no-manual-page-for-binary mmg3d4
mmg3d-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libmmg3d4.so.4.0.1 exit@GLIBC_2.2.5
mmg3d-devel.x86_64: W: only-non-binary-in-usr-lib
mmg3d-devel.x86_64: W: no-documentation
mmg3d.src: W: spelling-error Summary(en_US) Anisotropic -> An isotropic, An-isotropic, Isotropic
mmg3d.src: W: spelling-error %description -l en_US Anisotropic -> An isotropic, An-isotropic, Isotropic
mmg3d.src: W: patch-not-applied Patch0: mmg3d_soname.patch
mmg3d.src: W: patch-not-applied Patch1: mmg3d_install-dirs.patch
4 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mmg3d mmg3d-devel mmg3d-libs
mmg3d.x86_64: W: spelling-error Summary(en_US) Anisotropic -> An isotropic, An-isotropic, Isotropic
mmg3d.x86_64: W: spelling-error %description -l en_US Anisotropic -> An isotropic, An-isotropic, Isotropic
mmg3d.x86_64: W: no-documentation
mmg3d.x86_64: W: no-manual-page-for-binary mmg3d4
mmg3d-devel.x86_64: W: only-non-binary-in-usr-lib
mmg3d-devel.x86_64: W: no-documentation
mmg3d-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmmg3d4.so.4.0.1 /lib64/libscotcherr.so.0
mmg3d-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmmg3d4.so.4.0.1 /lib64/libpthread.so.0
mmg3d-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libmmg3d4.so.4.0.1 exit@GLIBC_2.2.5
3 packages and 0 specfiles checked; 0 errors, 9 warnings.
# echo 'rpmlint-done:'



Requires
--------
mmg3d (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libscotch.so.0()(64bit)
    libscotcherr.so.0()(64bit)
    mmg3d-libs(x86-64)
    rtld(GNU_HASH)

mmg3d-devel (rpmlib, GLIBC filtered):
    libmmg3d4.so.4()(64bit)
    mmg3d-libs(x86-64)

mmg3d-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libscotch.so.0()(64bit)
    libscotcherr.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
mmg3d:
    mmg3d
    mmg3d(x86-64)

mmg3d-devel:
    mmg3d-devel
    mmg3d-devel(x86-64)

mmg3d-libs:
    libmmg3d4.so.4()(64bit)
    mmg3d-libs
    mmg3d-libs(x86-64)



Source checksums
----------------
https://gforge.inria.fr/frs/download.php/file/33418/mmg3d4-4.0.1-Source.tar.gz :
  CHECKSUM(SHA256) this package     : f15491b520257fb2f69e239f12d7a33ecb711c9ca61f83fa12841111ebd56f97
  CHECKSUM(SHA256) upstream package : f15491b520257fb2f69e239f12d7a33ecb711c9ca61f83fa12841111ebd56f97


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1109444
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 10 Sandro Mani 2014-07-09 11:45:19 UTC
Adding -Wl,--as-needed seems to help a bit. I would consider the other issues blockers.

$ rpmlint mmg3d-libs
mmg3d-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmmg3d4.so.4.0.1 /lib64/libscotcherr.so.0
mmg3d-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libmmg3d4.so.4.0.1 exit@GLIBC_2.2.5


Spec URL: http://smani.fedorapeople.org/review/mmg3d.spec
SRPM URL: http://smani.fedorapeople.org/review/mmg3d-4.0.1-2.fc21.src.rpm

%changelog
* Wed Jul 09 2014 Sandro Mani <manisandro@gmail.com> - 4.0.1-2
- Add -Wl,--as-needed

Comment 11 Mukundan Ragavan 2014-07-10 02:32:00 UTC
(In reply to Sandro Mani from comment #10)
> Adding -Wl,--as-needed seems to help a bit. I would consider the other
> issues blockers.
> 
> $ rpmlint mmg3d-libs
> mmg3d-libs.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libmmg3d4.so.4.0.1 /lib64/libscotcherr.so.0
> mmg3d-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libmmg3d4.so.4.0.1
> exit@GLIBC_2.2.5

Indeed. got rid of one warning at least I suppose. I think this might be something that could be checked with upstream.

> 
> 
> Spec URL: http://smani.fedorapeople.org/review/mmg3d.spec
> SRPM URL: http://smani.fedorapeople.org/review/mmg3d-4.0.1-2.fc21.src.rpm
> 
> %changelog
> * Wed Jul 09 2014 Sandro Mani <manisandro@gmail.com> - 4.0.1-2
> - Add -Wl,--as-needed

http://koji.fedoraproject.org/koji/taskinfo?taskID=7123062

* Builds fine on koji.

Package approved.

Comment 12 Sandro Mani 2014-07-10 07:27:18 UTC
> I would consider the other issues blockers.
What I meant was actually "wouldn't"...

Anyway, thanks for the review!

New Package SCM Request
=======================
Package Name: mmg3d
Short Description: Anisotropic Tetrahedral Remesher / Moving Mesh Generator
Owners: smani
Branches: f20 el6 epel7
InitialCC:

Comment 13 Sandro Mani 2014-07-10 07:34:19 UTC
New Package SCM Request
=======================
Package Name: mmg3d
Short Description: Anisotropic Tetrahedral Remesher / Moving Mesh Generator
Owners: smani
Branches: f20 f21 el6 epel7
InitialCC:

Comment 14 Gwyn Ciesla 2014-07-10 13:05:45 UTC
Git done (by process-git-requests).

Comment 15 Sandro Mani 2014-07-10 15:25:24 UTC
Built for rawhide and f21, f20 pending until scotch bug is fixed there.

Comment 16 Fedora Update System 2014-08-06 22:29:17 UTC
mmg3d-4.0.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mmg3d-4.0.1-2.fc20

Comment 17 Fedora Update System 2014-08-16 00:30:02 UTC
mmg3d-4.0.1-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 18 Fedora Update System 2015-01-03 16:19:29 UTC
mmg3d-4.0.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mmg3d-4.0.1-4.el6

Comment 19 Fedora Update System 2015-01-03 16:20:07 UTC
mmg3d-4.0.1-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mmg3d-4.0.1-4.el7

Comment 20 Fedora Update System 2015-01-24 18:46:44 UTC
mmg3d-4.0.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 21 Fedora Update System 2015-01-24 18:50:33 UTC
mmg3d-4.0.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.